<?xml version="1.0" encoding="utf-8"?>
<!-- this style sheet converts OMDoc/MMT to skeleton sTeX module signatures --> 

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:o="http://omdoc.org/ns"
		xmlns:om="http://www.openmath.org/OpenMath"
		xmlns:exsl="http://exslt.org/common"
		extension-element-prefixes="exsl"
                version="1.1">

<xsl:output method="text"/>


<xsl:template match="*">
  <xsl:message>could not deal with element "<xsl:value-of select="local-name(.)"/>" yet!</xsl:message>
</xsl:template>

<xsl:template match="/o:omdoc"><xsl:apply-templates/></xsl:template>

<xsl:template match="o:theory">
  <exsl:document method="text" href="{@name}.tex">
    <xsl:text>% sTeX file automatically generated from OMDoc/MMT file, needs to be adapted &#xA;</xsl:text>
    <xsl:text>\begin{modsig}{</xsl:text>
    <xsl:value-of select="@name"/>
    <xsl:text>}&#xA;</xsl:text>
    <xsl:apply-templates/>
    <xsl:text>&#xA;\end{modsig}&#xA;</xsl:text>
  </exsl:document>
  <exsl:document method="text" href="{@name}.en.tex">
    <xsl:text>% sTeX file automatically generated from OMDoc/MMT file, needs to be adapted &#xA;</xsl:text>
    <xsl:text>\begin{mhmodnl}{</xsl:text>
    <xsl:value-of select="@name"/>
    <xsl:text>}{en}</xsl:text>
    <xsl:apply-templates mode="en"/>
    <xsl:text>&#xA;\end{mhmodnl}&#xA;</xsl:text>
  </exsl:document>
</xsl:template>

<xsl:template match="o:import">
  <xsl:text>  \guse{</xsl:text>
  <xsl:value-of select="substring-after(@from,'?')"/>
  <xsl:text>}</xsl:text>
  <xsl:text>
  </xsl:text>
</xsl:template>

<xsl:template match="o:opaque[@format='text']"/>
<xsl:template match="o:opaque[@format='text']" mode="en">
  <xsl:text>&#xA;\begin{definition}&#xA;</xsl:text>
  <xsl:apply-templates/>
  <xsl:text>&#xA;\end{definition}&#xA;</xsl:text>
</xsl:template>

<xsl:template match="om:OMOBJ">
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="om:OMA">
  <xsl:apply-templates select="*[1]"/>
  <xsl:text>(</xsl:text>
  <xsl:apply-templates select="*[position()&gt;1]"/>
  <xsl:text>)</xsl:text>
</xsl:template>

<xsl:template match="om:OMS">
  <xsl:value-of select="@name"/>
</xsl:template>

<xsl:template match="o:constant">
  <xsl:text>&#xA; &#xA;\symdef[name=</xsl:text>
  <xsl:value-of select="translate(@name,'_','-')"/>
  <xsl:text>]{}</xsl:text>
  <xsl:text>&#xA;\symtest{</xsl:text>
  <xsl:value-of select="@name"/>
  <xsl:text>}[]{}</xsl:text>
</xsl:template>
<!-- ignore for the moment -->
<xsl:template match="o:metadata"/>

</xsl:stylesheet>
